Redmine - Defect #25793

Cannot update a jounral from REST api
2017-05-09 06:48 - Mao H

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version:

Description

| can get the journal from the REST api. But | cannot update it.

Here I'll demonstrate it (specifically I'm updating notes).

curl -v http://server/pm/journals/327.json —-H "Content-Type: application/json" -H "X-Redmine-API-K
ey: <my key>" -X PUT --data-binary "G@put.note.json"

| don't get any response from the server and the server log shows it's not authorized:

Started PUT "/pm/journals/327.7json" for 192.168.1.6 at 2017-05-08 21:46:21 -0700
Processing by JournalsController#update as JSON

Parameters: {"notes"=>"update note", "id"=>"327"}

Current user: anonymous
Filter chain halted as :check_if_login_required rendered or redirected
Completed 401 Unauthorized in 6ms (ActiveRecord: 1.8ms)

Given that | can update that from the website, and also given that | can use the same api key to get the issues and other information
in the REST api, it seems like that JournalsController#update doesn't check the authorization correctly for TEST api.

History

#1 - 2017-05-09 06:58 - Toshi MARUYAMA
- Status changed from New to Closed

- Resolution set to Invalid

Please use forum for question.

#2 - 2017-05-11 07:26 - Mao H

- Status changed from Closed to Reopened

| believe it's a bug in the product. | pasted the log from the server. It doesn't check authorization correctly.

#3 - 2017-05-11 08:07 - Toshi MARUYAMA

- Status changed from Reopened to Closed

Because JournalsController#update does not provide API.

#4 - 2017-05-12 15:43 - Mao H

- Status changed from Closed to Reopened

Since it doesn't provide the api, can | ask for this feature?

#5 - 2017-05-12 17:13 - Toshi MARUYAMA

- Status changed from Reopened to Closed
Please use forum for question.

#6 - 2017-05-13 16:53 - Mao H

- Status changed from Closed to Reopened

| must miss something. Please tell me how the forum help?
Toshi MARUYAMA wrote:

Because JournalsController#update does not provide API.

It looks like the way to solve it is to have JournalsController#update to provide this API. This is a new feature I'm asking for or a bug we need to fix.
Thanks,

#7 - 2017-05-13 17:22 - Toshi MARUYAMA

- Status changed from Reopened to Closed

Mao H wrote:

I must miss something. Please tell me how the forum help?

Because your subject is question.
Toshi MARUYAMA wrote:
Because JournalsController#update does not provide API.

It looks like the way to solve it is to have JournalsController#update to provide this API. This is a new feature I'm asking for or a bug we need to
fix.

Why do you need jounral REST api?
You can use issue REST api to edit journal.

#8 - 2017-05-14 16:37 - Mao H

Sorry. | didn't mean to be a question in the title. | thought | was summarizing the issue.

I'll use the forum then. | don't find how to use issue REST api to edit a journal from Developer's Guide. | only find how to get the journals with an
issue.

Thanks,

Toshi MARUYAMA wrote:

Mao H wrote:

I must miss something. Please tell me how the forum help?

Because your subject is question.
Toshi MARUYAMA wrote:

Because JournalsController#update does not provide API.

It looks like the way to solve it is to have JournalsController#update to provide this API. This is a new feature I'm asking for or a bug we
need to fix.

Why do you need jounral REST api?
You can use issue REST api to edit journal.
